Bug 139163 - Shuttle SN85G4's card reader is not recognized
Shuttle SN85G4's card reader is not recognized
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-13 07:21 EST by Oskari Saarenmaa
Modified: 2015-01-04 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-10 20:14:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oskari Saarenmaa 2004-11-13 07:21:48 EST
Description of problem:
The multicardreader in Shuttle SN85G4 is not recognized by Fedora,
adding a max_luns option for scsi_mod makes it work.  Here are the
details from dmesg:
scsi2 : SCSI emulation for USB Mass Storage devices
  Vendor: USB2.0    Model: CardReader CF RW  Rev: 0.0>
  Type:   Direct-Access                      ANSI SCSI revision: 02
Attached scsi removable disk sdb at scsi2, channel 0, id 0, lun 0
  Vendor: USB2.0    Model: CardReader Combo  Rev: 0.0>
  Type:   Direct-Access                      ANSI SCSI revision: 02

lsusb:
Bus 001 Device 002: ID 07cc:0301 Carry Computer Eng., Co., Ltd 
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 (Defined at Interface level)
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0        64
  idVendor           0x07cc Carry Computer Eng., Co., Ltd
  idProduct          0x0301 
  bcdDevice            0.05
  iManufacturer           1         Ltd
  iProduct                2 Winter Ver1.3   
  iSerial                 3 256729120543
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
    MaxPower              500mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass         8 Mass Storage
      bInterfaceSubClass      6 SCSI
      bInterfaceProtocol     80 Bulk (Zip)
      iInterface              4 1.06.30.0704
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0200  bytes 512 once
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               none
          Usage Type               Data
        wMaxPacketSize     0x0200  bytes 512 once
        bInterval               0
  Language IDs: (length=4)
     0409 English(US)


Version-Release number of selected component (if applicable):
kernel-2.6.9-1.667
Comment 1 Dave Jones 2004-11-27 01:11:47 EST
fixed in cvs

Note You need to log in before you can comment on or make changes to this bug.